List my library
curl --request GET \
--url https://api.openworklabs.com/v1/me/library \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/me/library"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/me/library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"type": "plugin",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"componentCount": 4503599627370495,
"componentKinds": [
"<string>"
],
"sourceRepositoryUrl": "<string>",
"edges": [
{
"kind": "mine"
}
],
"role": "viewer"
}
]
}{
"error": "unauthorized"
}Plugins
List my library
Lists the Workflows, Remote MCP Apps, plugins, and connections the caller can use, with every applicable access edge. Workflows and Remote MCP Apps remain config objects contained by their parent OpenWork Connect Plugin.
GET
/
v1
/
me
/
library
List my library
Was this page helpful?